2019-06-25 03:31 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002255NetSurfRISC OS-specificpublic2015-03-10 23:40
Reportergeorge thomas greenfield 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRaspberry Pi model BOSRISC OSOS Version5.21 (12-01-15)
Product Version3.3 
Target Version3.3Fixed in Version3.3 
Summary0002255: Crash when accessing an item linked to BBC Sport webpage
DescriptionI tried 3 times to access the item by Grigor Dimitrov on Andy Murray on the BBC Sport webpage: http://www.bbc.co.uk/sport/0/tennis/30962237 and each time NetSurf 3.3 v.2508 crashed with an error report. The zipped error logs are uploaded below (BBC-Sport_crash_logs/zip).
Steps To Reproduce3 attempts, all resulting in crash + logfile.
Additional InformationThe same page opens in NS 3.2 without any problem.
TagsNo tags attached.
Fixed in CI build #2555
Reported in CI build #2544
URL of problem pagehttp://www.bbc.co.uk/sport/0/tennis/30962237
Attached Files

-Relationships
has duplicate 0002261closedMichael Drake About window --> Licence --> assertion failed 
+Relationships

-Notes
george thomas greenfield

~0000575

george thomas greenfield (reporter)

Sorry, I mis-stated the NetSurf version number above: it's actually 0002544.
Vincent Sanders

~0000576

Vincent Sanders (administrator)

it is an assert in the renderer

"render/box_normalise.c", line 151: box_normalise_block: Assertion failed: 0
Vincent Sanders

~0000742

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2015-01-24 17:25 george thomas greenfield New Issue
2015-01-24 17:25 george thomas greenfield File Added: BBC-Sport_crash_logs.zip
2015-01-24 18:45 george thomas greenfield Note Added: 0000575
2015-01-24 20:32 Vincent Sanders Reported in CI build # => 2544
2015-01-24 20:32 Vincent Sanders Note Added: 0000576
2015-01-24 20:32 Vincent Sanders Status new => acknowledged
2015-01-24 20:32 Vincent Sanders Product Version => 3.3
2015-01-27 17:44 Chris Young Relationship added has duplicate 0002261
2015-01-27 21:18 Michael Drake Fixed in CI build # => 2555
2015-01-27 21:18 Michael Drake Assigned To => Michael Drake
2015-01-27 21:18 Michael Drake Status acknowledged => resolved
2015-01-27 21:18 Michael Drake Resolution open => fixed
2015-01-27 21:18 Michael Drake Fixed in Version => 3.3
2015-01-27 21:18 Michael Drake Target Version => 3.3
2015-03-10 23:40 Vincent Sanders Note Added: 0000742
2015-03-10 23:40 Vincent Sanders Status resolved => closed
+Issue History